Skip to content
Browse files

Changed repr for MultiValueDict

git-svn-id: http://code.djangoproject.com/svn/django/trunk@1819 bcc190cf-cafb-0310-a4f2-bffc1f526a37
  • Loading branch information...
1 parent b0ad54e commit 1714e797966a893e50c87d1bab10e71c1501d473 @adrianholovaty adrianholovaty committed
Showing with 4 additions and 4 deletions.
  1. +1 −1 django/utils/datastructures.py
  2. +3 −3 tests/othertests/httpwrappers.py
View
2 django/utils/datastructures.py
@@ -74,7 +74,7 @@ def __getitem__(self, key):
try:
list_ = dict.__getitem__(self, key)
except KeyError:
- raise MultiValueDictKeyError, "Key %r not found in MultiValueDict %r" % (key, self)
+ raise MultiValueDictKeyError, "Key %r not found in %r" % (key, self)
try:
return list_[-1]
except IndexError:
View
6 tests/othertests/httpwrappers.py
@@ -8,7 +8,7 @@
>>> q['foo']
Traceback (most recent call last):
...
-MultiValueDictKeyError: "Key 'foo' not found in MultiValueDict <MultiValueDict: {}>"
+MultiValueDictKeyError: "Key 'foo' not found in <MultiValueDict: {}>"
>>> q['something'] = 'bar'
Traceback (most recent call last):
@@ -86,7 +86,7 @@
>>> q['foo']
Traceback (most recent call last):
...
-MultiValueDictKeyError: "Key 'foo' not found in MultiValueDict <MultiValueDict: {}>"
+MultiValueDictKeyError: "Key 'foo' not found in <MultiValueDict: {}>"
>>> q['name'] = 'john'
@@ -186,7 +186,7 @@
>>> q['bar']
Traceback (most recent call last):
...
-MultiValueDictKeyError: "Key 'bar' not found in MultiValueDict <MultiValueDict: {'foo': ['bar']}>"
+MultiValueDictKeyError: "Key 'bar' not found in <MultiValueDict: {'foo': ['bar']}>"
>>> q['something'] = 'bar'
Traceback (most recent call last):

0 comments on commit 1714e79

Please sign in to comment.
Something went wrong with that request. Please try again.